### Enumeration

# Secret SearchFlags

#### Declaration

    flags Secret.SearchFlags

#### Description [src]

Various flags to be used with `secret_service_search()` and `secret_service_search_sync()`.

#### Members

`SECRET_SEARCH_NONE`

  No flags.

  - Value: `0`
  - Available since: 1
`SECRET_SEARCH_ALL`

  All the items matching the search will be returned, instead of just the first one.

  - Value: `2`
  - Available since: 1
`SECRET_SEARCH_UNLOCK`

  Unlock locked items while searching.

  - Value: `4`
  - Available since: 1
`SECRET_SEARCH_LOAD_SECRETS`

  While searching load secrets for items that are not locked.

  - Value: `8`
  - Available since: 1